## toga2 1.4.1.1SE1

=== src/Makefile ===

# files

EXE = toga2

OBJS = attack.o board.o book.o eval.o fen.o hash.o list.o main.o material.o \
       move.o move_check.o move_do.o move_evasion.o move_gen.o move_legal.o \
       option.o pawn.o piece.o posix.o protocol.o pst.o pv.o random.o recog.o \
       search.o search_full.o see.o sort.o square.o trans.o util.o value.o \
       vector.o probe.o

# rules

all: $(EXE) .depend

clean:
	$(RM) *.o .depend gmon.out toga2 toga2.intel *~

# general

CXX      = gcc
CXXFLAGS = -pipe
LDFLAGS  = -lm -ldl -lpthread

# C++

CXXFLAGS += -O3 -fno-exceptions -fno-rtti -Wall

# optimisation

CXXFLAGS +=  -fstrict-aliasing
CXXFLAGS += -fomit-frame-pointer
# CXXFLAGS += -march=athlon-xp # SELECT ME
# CXXFLAGS += -march=pentium4 

# profiling

#CXXFLAGS += -fprofile-generate
#LDFLAGS  += -fprofile-generate
#CXXFLAGS += -fprofile-use


# strip

LDFLAGS += -s

# dependencies

$(EXE): $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS)

.depend:
	$(CXX) -MM $(OBJS:.o=.cpp) > $@

include .depend

## toga2 3.0.0.1SE1

=== src/Makefile ===
--- 
+++ 
@@ -18,13 +18,15 @@
 
 # general
 
-CXX      = gcc
+CXX      = g++
 CXXFLAGS = -pipe
-LDFLAGS  = -lm -ldl -lpthread
+LDFLAGS  = -lm 
+LDFLAGS += -ldl -lpthread
 
 # C++
 
 CXXFLAGS += -O3 -fno-exceptions -fno-rtti -Wall
+#CXXFLAGS += -mno-cygwin -D_WIN32 -D_MSC_VER
 
 # optimisation

=== debian/changelog ===
toga2 (3.0.0.1SE1-1) unstable; urgency=low

  * New Upstream Version.
  * Switch to dpkg-source 3.0 (quilt) format
  * Build-Depends: debhelper (>= 9), quilt
  * Added debian/watch 
  * Patched makefile to use debian hardening flags. 01_Makefile.patch
  * Used compat level 9
  * 02_egbb_path.patch changes windows specific path 
  * Note: Other patches were discarded, because upstream took care of the 
    bugs
  * Update to Standards-Version: 3.9.4

 -- Oliver Korff <ok@xynyx.de>  Thu, 13 Jun 2013 21:02:31 +0200

toga2 (1.4.1.1SE1-4) unstable; urgency=low

  * Maintenance Update.
  * Adjusted Makefile to work with the --as-needed linking option. 
    This bug and patch came from ubuntu, thanks to Matthias Klose.
    (Closes: # 641402)
  * Update to Standards Version 3.9.2
  * Added scid to Recommends, removed knights, which is not available 
    anymore, 

 -- Oliver Korff <ok@xynyx.de>  Tue, 13 Sep 2011 13:59:43 +0200

toga2 (1.4.1.1SE1-3) unstable; urgency=low

  * Set the "int NumberThreads = 4" in search.cpp, this will 
    enable the engine to use up to 4 Threads. I only successfully 
    tested it with polyglot in winboard mode. See README.debian
  * Set debhelper version to >=7.0.0
  * Set compat level to 7
  * Added Homepage field
  * Standards Version to 3.8.1
  * Removed dh_clean -k from rules and added dh_prep

 -- Oliver Korff <ok@xynyx.de>  Sun, 31 May 2009 23:40:42 +0200

toga2 (1.4.1.1SE1-2) unstable; urgency=low

  * Changelog file did not meet the policy
  * Changed egbb path from windows default to a proper unix one

 -- Oliver Korff <ok@xynyx.de>  Sun, 05 Apr 2009 09:40:56 +0200

toga2 (1.4.1.1SE1-1) unstable; urgency=low

  * New Upstream Release Closes: #503056
  * Added some code to make NrOfThreads an UCI option
  * Updated readme.Debian for versioning info
  * tested compile with gcc-snapshot

 -- Oliver Korff <ok@xynyx.de>  Sat, 15 Nov 2008 17:13:22 +0100

toga2 (1.3.4-1) unstable; urgency=low

  * New Upstream release Closes: #434523
  * No more stripping by upstream Closes: #438214
  * Had to fix bugs in probe.cpp (Thanks, Peter) 
  * Repackaged source package, it came as 7z 
  * Also it contained .exe file, I removed them
  * added egbb infos to README.Debian

 -- Oliver Korff <ok@xynyx.de>  Mon, 09 Jul 2007 08:17:45 +0200

toga2 (1.2.1.1-1) unstable; urgency=low

  * Initial release Closes: #380388
  * added more copyright information

 -- Oliver Korff <ok@xynyx.de>  Wed, 1 Jan 2006 12:45:52 +0200

=== debian/control ===
Source: toga2
Section: games
Priority: optional
Maintainer: Oliver Korff <ok@xynyx.de>
Build-Depends: debhelper (>= 9), quilt
Standards-Version: 3.9.4
Homepage: http://www.computerchess.info

Package: toga2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: polyglot, xboard, scid
Description: computer chess engine, calculates chess moves
 Advancement of the strong chess engine fruit, it is 
 even stronger, and will be further developed. As communication 
 protocol it uses the UCI (universal chess interface), so you 
 need an UCI capable frontend to play against it. It has a Chess 
 strength of about 2800 ELO.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


%:
	dh $@ --sourcedirectory=src --with quilt

override_dh_auto_install:
	cp $(CURDIR)/src/toga2 $(CURDIR)/debian/toga2/usr/games/toga2
override_dh_installman:
	dh_installman $(CURDIR)/debian/toga2.6

=== debian/watch ===
# This file is empty by intend
# There is no dedicated Upstream anymore, but the developers maintaining the code 
# may be found at the talkchess Forum:
# 
# http://talkchess.com

# I have downloaded the package and hat to repack it to remove the 
# binarys, the download link is:

# http://www.computerchess.info/tdbb/phpBB3/download/file.php?id=1402
